function Armor( p_aParams )
{
	this.name = p_aParams["name"];
	this.bonus = p_aParams["bonus"];
	this.penalty = ( p_aParams["penalty"] ? p_aParams["penalty"] : this.bonus * -1 );
	this.weight = ( p_aParams["weight"] ? p_aParams["weight"] : 0 );
}

var Armors = new Array();
var ArmorLists = new Array();

function fInitializeArmor()
{
	Armors["unarmored"] = new Armor
	({
		"name" : "(unarmored)",
		"bonus" : 0
	});
	Armors["no shield"] = new Armor
	({
		"name" : "(no shield)",
		"bonus" : 0
	});
	
	// armor
	Armors["leather"] = new Armor
	({
		"name" : "Leather",
		"bonus" : 1
	});
	Armors["studded leather"] = new Armor
	({
		"name" : "Studded Leather",
		"bonus" : 2
	});
	Armors["chainmail"] = new Armor
	({
		"name" : "Chainmail",
		"bonus" : 3
	});
	Armors["breastplate"] = new Armor
	({
		"name" : "Breastplate",
		"bonus" : 4
	});
	Armors["plate-mail"] = new Armor
	({
		"name" : "Plate-mail",
		"bonus" : 5
	});
	Armors["full plate"] = new Armor
	({
		"name" : "Full Plate",
		"bonus" : 6
	});
	
	// shields
	Armors["small shield"] = new Armor
	({
		"name" : "Small Shield",
		"bonus" : 1
	});
	Armors["medium shield"] = new Armor
	({
		"name" : "Medium Shield",
		"bonus" : 2
	});
	Armors["large shield"] = new Armor
	({
		"name" : "Large Shield",
		"bonus" : 3
	});
	
	// armor lists
	ArmorLists["no armor"] = new Array( "unarmored" );
	ArmorLists["no shield"] = new Array( "no shield" );
	ArmorLists["light"] = new Array
	(
		"leather",
		"studded leather"
	);
	ArmorLists["medium"] = new Array
	(
		"chainmail",
		"breastplate"
	);
	ArmorLists["heavy"] = new Array
	(
		"plate-mail",
		"full plate"
	);
	ArmorLists["shields"] = new Array
	(
		"no shield",
		"small shield",
		"medium shield",
		"large shield"
	);
}