<?php
include("Standard_Includes/System_Globals.php");
include("Libraries/Data_Retrieval.php");

$SQL = "SELECT Source_ID, Name
		FROM True20_Sources
		ORDER BY Name";
$Sources = faGetData( $SQL );

$FeatList = "";
for ( $i = 0; $i < count( $Sources ); $i++ )
{
	$FeatList .= "<tr><td>+</td><td>".$Sources[$i]["Name"]."</td></tr>";
	$FeatList .= "<tr><td>&nbsp;</td><td><select multiple>";
	$SQL = "SELECT
				f.Feat_ID,
				f.Name,
				f.Source_ID
			FROM
				True20_Feats f
				LEFT JOIN True20_Rule_Set_Feats rsf
					ON f.Feat_ID = rsf.Feat_ID
			WHERE
				f.Source_ID = ".$Sources[$i]["Source_ID"]."
				AND (rsf.Rule_Set_ID IS NULL
					OR rsf.Rule_Set_ID <> $Rule_Set_ID)
			ORDER BY
				f.Name";
	$Feats = faGetData( $SQL );
	for ( $j = 0; $j < count( $Feats ); $j++ )
		$FeatList .= "<option value='".$Feats[$j]["Feat_ID"]."' sourceID='".$Feats[$j]["Source_ID"]."'>".$Feats[$j]["Name"]."</option>";
	$FeatList .= "</select></td></tr>";
}

$SQL = "SELECT
			f.Feat_ID,
			f.Name,
			f.Source_ID
		FROM
			True20_Rule_Set_Feats rsf,
			True20_Feats f
		WHERE
			rsf.Feat_ID = f.Feat_ID
			AND rsf.Rule_Set_ID = $Rule_Set_ID
		ORDER BY
			f.Name";
$RSFeats = faGetData( $SQL );

$RSFeatList = "";
for ( $i = 0; $i < count( $RSFeats ); $i++ )
	$RSFeatList .= "<option value='".$RSFeats[$i]["Feat_ID"]."' sourceID='".$Feats[$j]["Source_ID"]."'>".$RSFeats[$i]["Name"]."</option>";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
	<title>Rule Set Feats</title>
	<link href="Standard_Includes/Standard.css" rel="stylesheet" type="text/css" />
<style>
SELECT
{
	border:				1px solid black;
	width:				200px;
}
OPTION
{
	border:				1px solid black;
}
</style>
</head>

<body>

<table>
	<colgroup><col /><col /><col /></colgroup>
	<thead>
		<tr><td>Rule Set</td><td>&nbsp;</td><td>Feats</td></tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<form>
					<select multiple style="height:300px;">
<?php echo $RSFeatList; ?>
					</select>
				</form>
			</td>
			<td>
				<div><=</div>
				<div>=></div>
			</td>
			<td style="vertical-align:top;">
				<table>
					<tbody>
						<form>
<?php echo $FeatList; ?>
						</form>
					</tbody>
				</table>
			</td>
		</tr>
	</tbody>
</table>

</body>
</html>
