function RulesSet( p_aSettings )
{
	this.name = p_aSettings["name"];
	this.abilityPoints = p_aSettings["ability points"];
	this.maxAbilityScore = p_aSettings["max ability score"];
	this.minAbilityScore = p_aSettings["min ability score"];
	this.numAbilitiesAllowedBelow0 = p_aSettings["num abilities allowed below 0"];
	
	this.setVariables = fSetVariables;
}
// sets the form values that are used for determining things based on the values of this RulesSet
function fSetVariables()
{
	// this must happen before the new ability points value is set so that we still have access to the original value
	var oPR = document.getElementById( "PointsRemaining" );
	oPR.innerHTML = Number( oPR.innerHTML ) + ( this.abilityPoints - Number( Character.AbilityPoints.value ) );
	
	Character.AbilityPoints.value = this.abilityPoints;
	Character.NumAbilitiesAllowedBelow0.value = this.numAbilitiesAllowedBelow0;
	
	for ( var i = 0; i < Abilities.length; i++ )
	{
		Character.elements[ "Min" + Abilities[i] ].value = this.minAbilityScore;
		Character.elements[ "Max" + Abilities[i] ].value = this.maxAbilityScore;
	}
}
