<?php
include("Standard_Includes/System_Globals.php");
include("Standard_Includes/Security.php");

function fsGetSQLFromText( $p_sText )
{
	return str_replace( "'", "''", $p_sText );
}

// adding the feat
$Name = fsGetSQLFromText( $_POST["Name"] );
$Source_ID = $_POST["Source_ID"];
$Summary = fsGetSQLFromText( $_POST["Summary"] );
$Description = fsGetSQLFromText( $_POST["Description"] );
$SQL = "INSERT INTO True20_Feats
		( Name, Source_ID, Summary, Description )
		VALUES
		( '$Name', $Source_ID, '$Summary', '$Description' )";
kdbc_exec( $DB, $SQL );
$Feat_ID = kdbc_insert_id();

// adding requirements
for ( $i = 0; $i < count( $_POST["R_Category"] ); $i++ )
{
	$Category = $_POST["R_Category"][$i];
	$ID = $_POST["R_ID_$Category"][$i];
	$Requirement = ( $Category != "feat" ? $_POST["R_Requirement_numeric"][$i] : $_POST["R_Requirement_feat"][$i] );
	
	if ( !$Category )
		break;
	
	$SQL = "INSERT INTO True20_Requirements
	( Category, ID, Requirement )
	VALUES
	( '$Category', $ID, $Requirement )";
	kdbc_exec( $DB, $SQL );
	
	// appending requirements to the feat
	$Requirement_ID = kdbc_insert_id();
	$SQL = "INSERT INTO True20_Feat_Requirements ( Feat_ID, Requirement_ID )
			VALUES ( $Feat_ID, $Requirement_ID )";
	kdbc_exec( $DB, $SQL );
}

// adding modifiers
for ( $i = 0; $i < count( $_POST["M_Category"] ); $i++ )
{
	$Category = $_POST["M_Category"][$i];
	$ID = $_POST["M_ID_$Category"][$i];
	$Type = $_POST["M_Type"][$i];
	$Modifier = $_POST["M_Modifier_$Type"][$i];
	
	if ( !$Category )
		break;
	
	$SQL = "INSERT INTO True20_Modifiers
	( Category, ID, Type, Modifier )
	VALUES
	( '$Category', $ID, '$Type', $Modifier )";
	kdbc_exec( $DB, $SQL );
	
	// appending modifiers to the feat
	$Modifier_ID = kdbc_insert_id();
	$SQL = "INSERT INTO True20_Feat_Modifiers ( Feat_ID, Modifier_ID )
			VALUES ( $Feat_ID, $Modifier_ID )";
	kdbc_exec( $DB, $SQL );
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
	<title></title>
</head>

<body onload="document.forms[0].submit();">

<form action="Feat_Form.php" method="post">
<input type="hidden" name="User_ID" value="<?php echo $_POST["User_ID"]; ?>" />
<input type="hidden" name="Password" value="<?php echo $_POST["Password"]; ?>" />
</form>

</body>
</html>
